Subject: Re: Final processing

From: [email-masked] (Shaun X Huang 8-2312)
Date: Mon, 1 Nov 93 11:28:45 CST

From [email-masked] Mon Nov  1 11:22:21 1993
	Received: by eds3.tc.cat.com (5.65/Ultrix3.0-C)
		id AA11156; Mon, 1 Nov 1993 11:21:42 -0600
	Date: Mon, 1 Nov 1993 11:21:42 -0600
	From: huangsx@vishnu (Shaun X Huang 8-2312)
	Message-Id: <[email-masked]>
	To: huangsx@vishnu
	Status: RO
	
		I had exactly situations as you did, except I processed 
	my I-89 only once when I just received the receipt.  Since I am 
	working in weekdays and the local (Chicago) INS is far away form 
	my place.  I don't have time to process the I-89 twice.  But I 
	received two conflict letters, the first one told me I don't 
	need to process and the second (very recently) one asked me to 
	process.  Should or should not I process I-89 again?    Any 
	suggestions are welcome.
	
		From this incident, It seems I were at China again and 
	dealt with a Chinese government agency. :-)